import { defineStore } from 'pinia';
import { store } from '@/store';

// 你可以任意命名 `defineStore()` 的返回值，但最好使用 store 的名字，
// 同时以 `use` 开头且以 `Store` 结尾。
// (比如 `useUserStore`，`useCartStore`，`useProductStore`)
// 第一个参数是你的应用中 Store 的唯一 ID。
export const useEmailRouterStore = defineStore({
  id: 'emailRouter',
  state: () => ({
    children: []
  }),
  getters: {
    getEmailRouters: (state) => state.children
  },
  actions: {
    setEmailRouters(children: any[]) {
      this.children = [...children];
    }
  }
});

export function useEmailRouterStoreWithout() {
  try {
    return useEmailRouterStore(store);
  } catch (error) {
    console.error('Failed to initialize email router store:', error);
    throw error;
  }
}